#!/usr/bin/env python3
import json
import requests

HOST = "localhost"
PORT = "9001"

LAMBDA_URL = f"http://{HOST}:{PORT}/2015-03-31/functions/function/invocations"

payload = {
    "Records": [
        {
            "body": json.dumps(
                {
                    "task_id": "e295d89b-a7c5-4a9a-8b4e-b405fab1f298",
                    "sub_task_id": "f4a9944f-41f0-4a33-8669-5016ec574068",
                    "s3_uri": "s3://retrofit-data-dev/bulk_onboarding_inputs/hyde2 (1).csv",
                }
            )
        }
    ]
}

response = requests.post(LAMBDA_URL, json=payload)

print("Status code:", response.status_code)
print("Response:")
print(response.text)
